Cucumber features does not start

I eun the cucumber features from RubyMine and i have error:

/home/alex/.rvm/rubies/ruby-1.9.3-p374/bin/ruby -EUTF-8 -e $stdout.sync=true;$stderr.sync=true;load($0=ARGV.shift) /home/alex/Ruby_task/my_project/test_app/blog/script/cucumber /home/alex/Ruby_task/my_project/test_app/blog/features/test.feature --format Teamcity::Cucumber::Formatter --expand --color -r features

wrong number of arguments (1 for 0) (ArgumentError)
/home/alex/.rvm/gems/ruby-1.9.3-p374@blog/gems/cucumber-1.3.10/lib/cucumber/ast/location.rb:22:in `file_colon_line'
/home/alex/Install/RubyMine-5.0.2/rb/testing/patch/bdd/teamcity/cucumber/common.rb:126:in `tc_before_feature' ..
but when i run from console it is work
help me

my gemfile
source 'https://rubygems.org'

gem 'rails', '4.0.1'
gem 'sqlite3'
gem 'sass-rails', '~> 4.0.0'
gem 'uglifier', '>= 1.3.0'
gem 'coffee-rails', '~> 4.0.0'
gem 'jquery-rails'
gem 'turbolinks'
gem 'jbuilder', '~> 1.2'
group :doc do
  gem 'sdoc', require: false
end
gem "active_model_serializers"

group :test do

    gem 'cucumber'
    gem 'cucumber-rails', :require => false
    gem 'database_cleaner'
    gem "capybara-webkit"
    gem 'selenium-webdriver'

end

2 comments
Comment actions Permalink

Old version of RM is not compatible with the latest version of cucumber, you need to update to 5.4.3 at least

Regards, Oleg.

0
Comment actions Permalink

oh) thanks. i update to 6.0.2 and it is works!

sorry to trouble
0

Please sign in to leave a comment.